# Trait rustc_data_structures::snapshot_vec::SnapshotVecDelegate

source ·

    pub trait SnapshotVecDelegate {
        type Value;
        type Undo;

        // Required method
        fn reverse(values: &mut Vec<Self::Value>, action: Self::Undo);
    }

## Required Associated Types§

source

#### type Value

source

#### type Undo

## Required Methods§

source

#### fn reverse(values: &mut Vec<Self::Value>, action: Self::Undo)

## Object Safety§

This trait is not object safe.

## Implementations on Foreign Types§

source§

### impl SnapshotVecDelegate for i32

§

#### type Value = i32

§

#### type Undo = ()

source§

#### fn reverse(_: &mut Vec<i32>, _: ())

## Implementors§